<h4><%= t('.title', value: Labels::Config.model_name.human) %></h4>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <% Labels::Config.locale_columns(:name).each do |column| %>
        <th><%= Labels::Config.human_attribute_name column %></th>
      <% end %>
      <th><%= Labels::Config.human_attribute_name :formula %></th>
      <th><%= Labels::Config.human_attribute_name :usable %></th>
      <th><%= Labels::Config.human_attribute_name :file %></th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @labels_configs.each do |labels_config| %>
      <tr>
        <% Labels::Config.locale_columns(:name).each do |column| %>
          <td><%= labels_config.send(column) %></td>
        <% end %>
        <td><%= labels_config.formula %></td>
        <td><%= labels_config.usable %></td>
        <td>
          <% aff, show_doc = file_preview(labels_config.file, sx: 120, sy: 120) %>
          <%= aff.html_safe %>
        </td>
        <td><%= link_to fa_icon_edit, edit_labels_config_path(labels_config) %></td>
        <td><%= link_to fa_icon_delete, labels_config, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Criticity Config', new_labels_config_path, class: 'btn btn-outline-warning' %>
